ICC C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController:

## Public Member Functions
bool | Connect (int port)
| Connects to the device through COM port.
bool | Connect (string ipAddress, int port)
| Connects to the device through Ethernet.
void | Disconnect (bool cleanUp=true)
| Disconnects from the device.
bool | GoToDfuMode ()
| Switches device to DFU mode.
bool | ChangeModeToPro ()
| Switches device to PRO mode.
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode.
bool | IsConnected ()
| Returns true, if connection to device is established.
bool | Reconnect ()
| Reconnects to already connected device.
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic.
string | GetProductSerialNumberOnChannel (EChannel channel)
| Returns serial number of the product on specific channel.
List< EConnectedDeviceType > | GetProductTypeOnChannel (EChannel channel)
| Returns type of the product on specific channel.
List< EConnectedDeviceType > | GetConnectedDeviceTypes ()
| Returns all connected product types on all channels.
byte[] | GetValue (int registerId)
| Returns register value.
bool | SetValue (int registerId, ValueType value)
| Set register value and returns if write was successful.
byte[] | GetVector (int registerId, int index, int count)
| Get vector value on input register with desired length.
bool | SetVector (int registerId, int index, byte[] vector)
| Set vector value on input register and returns if write was successful.

## Properties
IStatus | Status`[get]`
IDeviceEeprom | DeviceEeprom`[get]`
IBoardEeprom | BoardEeprom`[get]`
ITemperatureManager | TemperatureManager`[get]`
ISignalFlowManager | SignalFlowManager`[get]`
IMiscFeatures | MiscFeatures`[get]`
ILoggerFeatures | LoggerFeatures`[get]`
ISnapshotManager | SnapshotManager`[get]`
IVectorPatternMemory | VectorPatternMemory`[get]`

## Member Function Documentation

## ◆ ChangeModeToPro()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.ChangeModeToPro | ( |  | ) |

Switches device to PRO mode.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ ChangeModeToSimple()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.ChangeModeToSimple | ( |  | ) |

Switches device to SIMPLE mode.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Connect() [1/2]

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Connect | ( | int | port | ) |

Connects to the device through COM port.

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Connect() [2/2]

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Connect | ( | string | ipAddress,
|  | int | port )

Connects to the device through Ethernet.

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Disconnect()

void ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Disconnect | ( | bool | cleanUp = true | ) |

Disconnects from the device.

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetConnectedDeviceTypes()

List< EConnectedDeviceType > ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetConnectedDeviceTypes | ( |  | ) |

Returns all connected product types on all channels.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetElectronicSerialNumber()

string ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetElectronicSerialNumber | ( |  | ) |

Returns serial number of the electronic.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetProductSerialNumberOnChannel()

string ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetProductSerialNumberOnChannel | ( | EChannel | channel | ) |

Returns serial number of the product on specific channel.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetProductTypeOnChannel()

List< EConnectedDeviceType > ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetProductTypeOnChannel | ( | EChannel | channel | ) |

Returns type of the product on specific channel.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetValue()

byte[] ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetValue | ( | int | registerId | ) |

Returns register value.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GetVector()

byte[] ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GetVector | ( | int | registerId,
|  | int | index,
|  | int | count )

Get vector value on input register with desired length.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ GoToDfuMode()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.GoToDfuMode | ( |  | ) |

Switches device to DFU mode.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ IsConnected()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.IsConnected | ( |  | ) |

Returns true, if connection to device is established.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Reconnect()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Reconnect | ( |  | ) |

Reconnects to already connected device.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetValue()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.SetValue | ( | int | registerId,
|  | ValueType | value )

Set register value and returns if write was successful.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SetVector()

bool ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.SetVector | ( | int | registerId,
|  | int | index,
|  | byte[] | vector )

Set vector value on input register and returns if write was successful.

Returns

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## Property Documentation

## ◆ BoardEeprom

IBoardEeprom ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.BoardEeprom
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ DeviceEeprom

IDeviceEeprom ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.DeviceEeprom
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ LoggerFeatures

ILoggerFeatures ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.LoggerFeatures
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ MiscFeatures

IMiscFeatures ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.MiscFeatures
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SignalFlowManager

ISignalFlowManager ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.SignalFlowManager
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ SnapshotManager

ISnapshotManager ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.SnapshotManager
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ Status

IStatus ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.Status
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ TemperatureManager

ITemperatureManager ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.TemperatureManager
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

## ◆ VectorPatternMemory

IVectorPatternMemory ICC4cPwmSdk.Device.IICC4cPwmSdkDeviceController.VectorPatternMemory
| get

Implemented in ICC4cPwmSdk.Device.ICC4cPwmSdkDeviceController.

The documentation for this interface was generated from the following file:

- ICC4cPwmSdkDeviceController.cs